class UserInfo {
  final String userId;
  final String birthday;
  final int status;
  final String email;
  final int createdTime;
  final int gender;
  final String lastName;
  final String firstName;
  final String fptId;
  final String avatarUrl;
  final String fullName;
  final String phone;
  final String chatToken;
  final String accessToken;
  final int userType;
  final int loyaltyPointTotal;
  final int orderTotal;
  final int favoriteProductTotal;
  final int favoriteShopTotal;
  final int commentTotal;
  final int verifyMyPhone;
  final int canUpdateEmail;
  final int canUpdatePhone;
  final String tokenOTP;
  final String userName;
  final bool showPopupOtp;
  final String strLogin;
  final String loginType;
  final String message;
  final int errorCode;
  final Object comment;
  final Object suggestFollowInfo;
  final String senPayToken;

  UserInfo.fromJson(Map<String, dynamic> json)
      : userId = json['userId'],
        birthday = json['birthday'],
        status = json['status'],
        email = json['email'],
        createdTime = json['createdTime'],
        gender = json['gender'],
        lastName = json['lastName'],
        firstName = json['firstName'],
        fptId = json['fptId'],
        avatarUrl = json['avatarUrl'],
        fullName = json['fullName'],
        phone = json['phone'],
        chatToken = json['chatToken'],
        accessToken = json['accessToken'],
        userType = json['userType'],
        loyaltyPointTotal = json['loyaltyPointTotal'],
        orderTotal = json['orderTotal'],
        favoriteProductTotal = json['favoriteProductTotal'],
        favoriteShopTotal = json['favoriteShopTotal'],
        commentTotal = json['commentTotal'],
        verifyMyPhone = json['verifyMyPhone'],
        canUpdateEmail = json['canUpdateEmail'],
        canUpdatePhone = json['canUpdatePhone'],
        tokenOTP = json['tokenOTP'],
        userName = json['userName'],
        strLogin = json['strLogin'],
        loginType = json['loginType'],
        message = json['message'],
        errorCode = json['error_code'],
        showPopupOtp = json['showPopupOtp'],
        comment = json['data'],
        suggestFollowInfo = json['suggest_follow_info'],
        senPayToken = json['senpay_token'];

  Map<String, dynamic> toJson() =>
      {
        'userId': userId,
        'birthday': birthday,
        'status': status,
        'email': email,
        'createdTime': createdTime,
        'gender': gender,
        'lastName': lastName,
        'firstName': firstName,
        'fptId': fptId,
        'avatarUrl': avatarUrl,
        'fullName': fullName,
        'phone': phone,
        'chatToken': chatToken,
        'accessToken': accessToken,
        'userType': userType,
        'loyaltyPointTotal': loyaltyPointTotal,
        'orderTotal': orderTotal,
        'favoriteProductTotal': favoriteProductTotal,
        'favoriteShopTotal': favoriteShopTotal,
        'commentTotal': commentTotal,
        'verifyMyPhone': verifyMyPhone,
        'canUpdateEmail': canUpdateEmail,
        'canUpdatePhone': canUpdatePhone,
        'tokenOTP': tokenOTP,
        'userName': userName,
        'strLogin': strLogin,
        'loginType': loginType,
        'message': message,
        'showPopupOtp': showPopupOtp,
        'error_code': errorCode,
        'data': comment,
        'suggest_follow_info': suggestFollowInfo,
        'senpay_token': senPayToken,
      };
}
